com.lowagie.text

## Class ImgJBIG2

- java.lang.Object
- - com.lowagie.text.Rectangle
  - - com.lowagie.text.Image
    - - com.lowagie.text.ImgJBIG2

- All Implemented Interfaces:
    Element

      public class ImgJBIG2
      extends Image

  Support for JBIG2 images.
  Since:
    2.1.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `global` JBIG2 globals
    `private byte[]` | `globalHash` A unique hash

    - ### Fields inherited from class com.lowagie.text.Image

      `absoluteX, absoluteY, alignment, alt, annotation, AX, AY, bpc, BX, BY, colorspace, compressionLevel, CX, CY, DEFAULT, deflated, dpiX, dpiY, DX, DY, imageMask, indentationLeft, indentationRight, interpolation, invert, layer, LEFT, mask, MIDDLE, mySerialId, ORIGINAL_BMP, ORIGINAL_GIF, ORIGINAL_JBIG2, ORIGINAL_JPEG, ORIGINAL_JPEG2000, ORIGINAL_NONE, ORIGINAL_PNG, ORIGINAL_PS, ORIGINAL_TIFF, ORIGINAL_WMF, originalData, originalType, plainHeight, plainWidth, profile, rawData, RIGHT, rotationRadians, scaledHeight, scaledWidth, serialId, spacingAfter, spacingBefore, template, TEXTWRAP, transparency, type, UNDERLYING, url`

    - ### Fields inherited from class com.lowagie.text.Rectangle

      `backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, llx, lly, NO_BORDER, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

    - ### Fields inherited from interface com.lowagie.text.Element

      `ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImgJBIG2()` Empty constructor.
    `ImgJBIG2(Image image)` Copy contstructor.
    `ImgJBIG2(int width, int height, byte[] data, byte[] globals)` Actual constructor for ImgJBIG2 images.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getGlobalBytes()` Getter for the JBIG2 global data.
    `byte[]` | `getGlobalHash()` Getter for the unique hash.

    - ### Methods inherited from class com.lowagie.text.Image

      `getAbsoluteX, getAbsoluteY, getAdditional, getAlignment, getAlt, getAnnotation, getBpc, getColorspace, getCompressionLevel, getDirectReference, getDpiX, getDpiY, getICCProfile, getImageMask, getImageRotation, getIndentationLeft, getIndentationRight, getInitialRotation, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLayer, getMySerialId, getOriginalData, getOriginalType, getPlainHeight, getPlainWidth, getRawData, getScaledHeight, getScaledWidth, getSerialId, getSpacingAfter, getSpacingBefore, getTemplateData, getTransparency, getUrl, getWidthPercentage, getXYRatio, hasAbsoluteX, hasAbsoluteY, hasICCProfile, isDeflated, isImgRaw, isImgTemplate, isInterpolation, isInverted, isJpeg, isMask, isMaskCandidate, isNestable, isSmask, makeMask, matrix, scaleAbsolute, scaleAbsoluteHeight, scaleAbsoluteWidth, scalePercent, scalePercent, scaleToFit, setAbsolutePosition, setAdditional, setAlignment, setAlt, setAnnotation, setCompressionLevel, setDeflated, setDirectReference, setDpi, setImageMask, setIndentationLeft, setIndentationRight, setInitialRotation, setInterpolation, setInverted, setLayer, setOriginalData, setOriginalType, setRotation, setRotationDegrees, setSmask, setSpacingAfter, setSpacingBefore, setTemplateData, setTransparency, setUrl, setWidthPercentage, setXYRatio, simplifyColorspace, tagICC, type`

    - ### Methods inherited from class com.lowagie.text.Rectangle

      `cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getBottom, getChunks, getGrayFill, getHeight, getLeft, getLeft, getRight, getRight, getRotation, getTop, getTop, getWidth, hasBorder, hasBorders, isContent, isUseVariableBorders, normalize, process, rectangle, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### global

          private byte[] global

      JBIG2 globals

    - #### globalHash

          private byte[] globalHash

      A unique hash

  - ### Constructor Detail

    - #### ImgJBIG2

          ImgJBIG2(Image image)

      Copy contstructor.
      Parameters:
        `image` - another Image

    - #### ImgJBIG2

          public ImgJBIG2()

      Empty constructor.

    - #### ImgJBIG2

          public ImgJBIG2(int width,
                  int height,
                  byte[] data,
                  byte[] globals)

      Actual constructor for ImgJBIG2 images.
      Parameters:
        `width` - the width of the image
        `height` - the height of the image
        `data` - the raw image data
        `globals` - JBIG2 globals

  - ### Method Detail

    - #### getGlobalBytes

          public byte[] getGlobalBytes()

      Getter for the JBIG2 global data.
      Returns:
        an array of bytes

    - #### getGlobalHash

          public byte[] getGlobalHash()

      Getter for the unique hash.
      Returns:
        an array of bytes